<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">

<html>
  <body style="font-family:Arial,helvetica,sans-serif;font-size:12pt;
        background-color:#EEEEEE">

  <h1>Oak Serial Number Programming</h1>

  <h4>Programmed at:</h4>
     <xsl:for-each select="/body/xNAL/xNL">
        <xsl:value-of select="NameDetails/NameLine"/>
    </xsl:for-each>
    <p></p>
   <xsl:for-each select="/body/xNAL/xAL/AddressDetails/AddressLines/AddressLine">
        <xsl:value-of select="."/>
        <br></br>
    </xsl:for-each>
    <br/><br/>

	<table cellpadding="5" cellspacing="0">

		<tr>
		<th>
			Time
		</th>
		<th>
			VID
		</th>
		<th>
			PID
		</th>
		<th>
			REV
		</th>
		<th>
			Serial Read
		</th>
		<th>
			Serial Written
		</th>
    <th>
      Values
    </th>
      <th>
        Reference Value 1
      </th>
      <th>
        Reference Value 2
      </th>
		<th>
			Test
		</th>

		</tr>

    <xsl:for-each select="body/Device">
		<xsl:variable name="colour">
			<xsl:choose>
				<xsl:when test="position() mod 2 ">
					<xsl:value-of select="'&lt;td background:red&gt;'"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'&lt;td background:blue&gt;'"/>
				</xsl:otherwise>
			</xsl:choose>

		</xsl:variable>


		<tr  >
			<td style="border-bottom-width:1px; border-bottom-style:solid; border-bottom-color:red;" >
			<xsl:value-of select="translate(SerialNumber/Time, 'T', '  ')"/>
			</td>
			<td style="border-bottom-width:1px; border-bottom-style:solid; border-bottom-color:red;" >
				<xsl:value-of select="@VID"/>
			</td>
			<td style="border-bottom-width:1px; border-bottom-style:solid; border-bottom-color:red;" >
				<xsl:value-of select="@PID"/>
			</td>
			<td style="border-bottom-width:1px; border-bottom-style:solid; border-bottom-color:red;" >
				<xsl:value-of select="@REV"/>
			</td>

			<td style="border-bottom-width:1px; border-bottom-style:solid; border-bottom-color:red;" >
	        	<xsl:value-of select="SerialNumber/Read"/>
			</td>
			
			<td style="border-bottom-width:1px; border-bottom-style:solid; border-bottom-color:red;" >
	        	<xsl:value-of select="SerialNumber/Write"/>
	        </td>

      <td style="border-bottom-width:1px; border-bottom-style:solid; border-bottom-color:red;" >
        <xsl:value-of select="Values"/>
      </td>

      <td style="border-bottom-width:1px; border-bottom-style:solid; border-bottom-color:red;" >
        <xsl:value-of select="ref1"/>
      </td>

      <td style="border-bottom-width:1px; border-bottom-style:solid; border-bottom-color:red;" >
        <xsl:value-of select="ref2"/>
      </td>
      
			<td style="border-bottom-width:1px; border-bottom-style:solid; border-bottom-color:red;" >
	        	<xsl:value-of select="Test"/>
	        </td>

		</tr>
    </xsl:for-each>
	</table>
  </body>
</html>
</xsl:template>
</xsl:stylesheet>

